Name: libstorj
Version: 1.0.2
Release: 2%{?dist}
URL:     https://github.com/Storj/libstorj/
Summary: Client library and CLI for encrypted file transfer on the Storj network
License: LGPLv2+
Source0: %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires: gcc
BuildRequires: pkgconfig(libuv)
BuildRequires: pkgconfig(libmicrohttpd)
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: pkgconfig(libcurl)
BuildRequires: pkgconfig(json-c)

%package devel
Summary: Development files for libstorj
Requires: %{name}%{?_isa} = %{version}-%{release}

%description
Asynchronous multi-platform C client library and CLI for encrypted file
transfer on the Storj network.

%description devel
Asynchronous multi-platform C client library and CLI for encrypted file
transfer on the Storj network.

This package contains files needed to compile code using libstorj.

%prep
%setup -q

%build
autoreconf -vif
%configure
%make_build

%install
%make_install

#remove static libs
rm -f $RPM_BUILD_ROOT/%{_libdir}/libstorj*a

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license LICENSE
%doc README.md
%{_bindir}/storj
%{_libdir}/*.so.*

%files devel
%doc README.md
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/libstorj.pc

%changelog
* Wed Oct 25 2017 Gwyn Ciesla <limburgher@gmail.com> - 1.0.2-2
- Review fixes.

* Wed Oct 25 2017 Gwyn Ciesla <limburgher@gmail.com> - 1.0.2-1
- Initial package creation.
